Skip to main content
GET
List account bonded earn strategies

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

Path Parameters

account_id
string
required

Globally unique public identifier for an account.

Required string length: 14 - 42

Query Parameters

page_token
string

Opaque token returned as next_page_token in the previous response. Omit to request the first page.

Required string length: 1 - 256
page_size
integer<int32>
default:20

Maximum number of results to return. Ignored when page_token is present.

Required range: 1 <= x <= 25
type
enum<string>[]

Returns only strategies for assets of the selected types.

Classification of the asset.

Available options:
fiat,
crypto,
xstock,
stablecoin,
equity
yield_source
enum<string>[]

Returns only strategies backed by the selected yield sources.

Yield source that backs this strategy (e.g., "staking").

Available options:
staking,
base_rewards,
opt_in_rewards
symbol
string[]

Returns only strategies for the selected asset ticker symbols. Matching ignores case.

Minimum string length: 1

Response

Successful response

data
object[]
required

Strategies for the specified account and page.

next_page_token
string

Opaque token for retrieving the next page. Absent when there are no more results.

Required string length: 1 - 256